#include "kSketch.h"

KSketch::KSketch(int numHashTbls, int inxBits)
{
  numTbls = numHashTbls;

  hashTbls = new HashTable*[numTbls];
  medBuf = new ValueType[numTbls]; 
  for( int i = 0; i < numTbls; i++ ) {
    hashTbls[i] = new HashTable(i, inxBits);
    medBuf[i] = 0;
  }

  uint32 K = hashTbls[0]->GetNumBins();
  invFactor = 1.0 / (K - 1);
  
  sum = 0;
}

KSketch::~KSketch()
{
  for ( int i = 0; i < numTbls; i++ )
    delete hashTbls[i];

  delete[] hashTbls;
  delete[] medBuf;
}

